<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GroupMemberSearchBasic StructType
 * @subpackage Structs
 */
class GroupMemberSearchBasic extends SearchRecordBasic
{
    /**
     * The groupId
     * @var \StructType\RecordRef
     */
    public $groupId;
    /**
     * Constructor method for GroupMemberSearchBasic
     * @uses GroupMemberSearchBasic::setGroupId()
     * @param \StructType\RecordRef $groupId
     */
    public function __construct(\StructType\RecordRef $groupId = null)
    {
        $this
            ->setGroupId($groupId);
    }
    /**
     * Get groupId value
     * @return \StructType\RecordRef|null
     */
    public function getGroupId()
    {
        return $this->groupId;
    }
    /**
     * Set groupId value
     * @param \StructType\RecordRef $groupId
     * @return \StructType\GroupMemberSearchBasic
     */
    public function setGroupId(\StructType\RecordRef $groupId = null)
    {
        $this->groupId = $groupId;
        return $this;
    }
}
